/*gain_evaluation.h*/
/*
* Copyright 2014 IPOL Image Processing On Line http://www.ipol.im/
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

double MSE_snapshot_of_velocity_integrand(double velocity,
        double tilde_deltat, double xi);

double MSE_snapshot_of_velocity(double velocity,double tilde_deltat);

double MSE_flutter_of_velocity_integrand(double* code, int code_length,
        double velocity, double tilde_deltat, double xi);

double MSE_flutter_of_velocity(double* code, int code_length,double velocity,
                               double tilde_deltat);

double abs_hat_alpha(double* code, int code_length, double xi, double deltat);

double gain_in_terms_of_RMSE_at_velocity_v(double* code, int code_length,
        double tilde_deltat, double velocity, double deltat);

double probability_density(double velocity, int flag_motion_model, double s);

void average_gain_in_terms_of_RMSE(double* code, int code_length,
                                   double tilde_deltat_star,
                                   int flag_motion_model,
                                   double motion_model_parameter,double deltat,
                                   int num_plot_points,
                                   double *G_of_v,
                                   double *average_gain_mu);

void std_dev_gain_in_terms_of_RMSE(int flag_motion_model,
                                   double motion_model_parameter,
                                   int num_plot_points,
                                   double *G_of_v,
                                   double *average_gain_mu,
                                   double *std_dev_gain_sigma);
